<form #form="ngForm" (submit)="save()">
  <div class="row">
    <div *ngFor="let field of formFieldList" class="{{field.size}}">

      <app-input-string *ngIf="isInputString(field.type)"
                        id="{{field.field}}"
                        name="{{field.field}}"
                        ngDefaultControl
                        validation
                        [size]="field?.size"
                        [value]="field?.variable !== undefined ? field?.variable : null"
                        [nameField]="field?.field"
                        [label]="field?.label"
                        [(ngModel)]="field.variable"
                        [required]="field?.required">
      </app-input-string>

      <app-input-number *ngIf="isInputNumber(field.type)"
                        id="{{field.field}}"
                        name="{{field.field}}"
                        ngDefaultControl
                        validation
                        [size]="field?.size"
                        [value]="field?.variable !== undefined ? field?.variable : null"
                        [nameField]="field?.field"
                        [label]="field?.label"
                        [(ngModel)]="field.variable"
                        [required]="field?.required">
      </app-input-number>

      <app-input-money *ngIf="isInputMoney(field.type)"
                        id="{{field.field}}"
                        name="{{field.field}}"
                        ngDefaultControl
                        validation
                        [size]="field?.size"
                        [(value)]="field.variable"
                        [nameField]="field?.field"
                        [label]="field?.label"
                        [(ngModel)]="field.variable"
                        [required]="field?.required">
      </app-input-money>

      <app-input-date *ngIf="isInputDate(field.type)"
                      id="{{field.field}}"
                      name="{{field.field}}"
                      ngDefaultControl
                      validation
                      [size]="field?.size"
                      [(value)]="field.variable"
                      [nameField]="field?.field"
                      [label]="field?.label"
                      [(ngModel)]="field.variable"
                      [required]="field?.required">
      </app-input-date>

      <app-input-email *ngIf="isInputEmail(field.type)"
                       id="{{field.field}}"
                       name="{{field.field}}"
                       ngDefaultControl
                       validateEmail
                       [size]="field?.size"
                       [value]="field?.variable !== undefined ? field?.variable : null"
                       [nameField]="field?.field"
                       [label]="field?.label"
                       [(ngModel)]="field.variable"
                       [required]="field?.required">
      </app-input-email>

      <app-input-password *ngIf="isInputPassword(field.type)"
                          id="{{field.field}}"
                          name="{{field.field}}"
                          ngDefaultControl
                          validation
                          [size]="field?.size"
                          [value]="field?.variable !== undefined ? field?.variable : null"
                          [nameField]="field?.field"
                          [label]="field?.label"
                          [(ngModel)]="field.variable"
                          [required]="field?.required">
      </app-input-password>

    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <app-salvar [typeButton]="'submit'"></app-salvar>
      <app-cancelar (click)="backToList()"></app-cancelar>
    </div>
  </div>
</form>
